kind: DeploymentConfig
apiVersion: apps.openshift.io/v1
metadata:
  selfLink: >-
    /apis/apps.openshift.io/v1/namespaces/test/deploymentconfigs/fuse78-spring-boot
  resourceVersion: '8230615'
  name: fuse78-spring-boot
  uid: d15b4922-5e5d-43d9-90e0-8344b74983a9
  creationTimestamp: '2022-02-04T15:46:58Z'
  generation: 1
  managedFields:
    - manager: okhttp
      operation: Update
      apiVersion: apps.openshift.io/v1
      time: '2022-02-04T15:46:58Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:app': {}
            'f:group': {}
            'f:provider': {}
            'f:version': {}
        'f:spec':
          'f:replicas': {}
          'f:revisionHistoryLimit': {}
          'f:selector':
            .: {}
            'f:app': {}
            'f:group': {}
            'f:provider': {}
          'f:strategy':
            'f:activeDeadlineSeconds': {}
            'f:rollingParams':
              .: {}
              'f:intervalSeconds': {}
              'f:maxSurge': {}
              'f:maxUnavailable': {}
              'f:timeoutSeconds': {}
              'f:updatePeriodSeconds': {}
            'f:type': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:creationTimestamp': {}
              'f:labels':
                'f:version': {}
                'f:provider': {}
                'f:group': {}
                'f:app': {}
                .: {}
                'f:rht.prod_name': {}
                'f:rht.comp': {}
                'f:rht.comp_ver': {}
                'f:com.company': {}
                'f:rht.prod_ver': {}
            'f:spec':
              .: {}
              'f:containers':
                .: {}
                'k:{"name":"spring-boot"}':
                  'f:image': {}
                  'f:terminationMessagePolicy': {}
                  .: {}
                  'f:resources':
                    .: {}
                    'f:limits':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                    'f:requests':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                  'f:livenessProbe':
                    .: {}
                    'f:failureThreshold': {}
                    'f:httpGet':
                      .: {}
                      'f:path': {}
                      'f:port': {}
                      'f:scheme': {}
                    'f:initialDelaySeconds': {}
                    'f:periodSeconds': {}
                    'f:successThreshold': {}
                    'f:timeoutSeconds': {}
                  'f:env':
                    .: {}
                    'k:{"name":"KUBERNETES_NAMESPACE"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:fieldRef':
                          .: {}
                          'f:apiVersion': {}
                          'f:fieldPath': {}
                    'k:{"name":"SPRING_APPLICATION_JSON"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                  'f:readinessProbe':
                    .: {}
                    'f:failureThreshold': {}
                    'f:httpGet':
                      .: {}
                      'f:path': {}
                      'f:port': {}
                      'f:scheme': {}
                    'f:initialDelaySeconds': {}
                    'f:periodSeconds': {}
                    'f:successThreshold': {}
                    'f:timeoutSeconds': {}
                  'f:securityContext':
                    .: {}
                    'f:privileged': {}
                  'f:terminationMessagePath': {}
                  'f:imagePullPolicy': {}
                  'f:ports':
                    .: {}
                    'k:{"containerPort":8080,"protocol":"TCP"}':
                      .: {}
                      'f:containerPort': {}
                      'f:name': {}
                      'f:protocol': {}
                    'k:{"containerPort":8778,"protocol":"TCP"}':
                      .: {}
                      'f:containerPort': {}
                      'f:name': {}
                      'f:protocol': {}
                    'k:{"containerPort":9779,"protocol":"TCP"}':
                      .: {}
                      'f:containerPort': {}
                      'f:name': {}
                      'f:protocol': {}
                  'f:name': {}
              'f:dnsPolicy': {}
              'f:restartPolicy': {}
              'f:schedulerName': {}
              'f:securityContext': {}
              'f:terminationGracePeriodSeconds': {}
          'f:triggers': {}
    - manager: openshift-controller-manager
      operation: Update
      apiVersion: apps.openshift.io/v1
      time: '2022-02-04T16:47:03Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            .: {}
            'k:{"type":"Available"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Progressing"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:details':
            .: {}
            'f:causes': {}
            'f:message': {}
          'f:latestVersion': {}
          'f:observedGeneration': {}
          'f:replicas': {}
          'f:unavailableReplicas': {}
          'f:updatedReplicas': {}
  namespace: test
  labels:
    app: fuse78-spring-boot
    group: org.example.fis
    provider: fabric8
    version: 1.0-SNAPSHOT
spec:
  strategy:
    type: Rolling
    rollingParams:
      updatePeriodSeconds: 1
      intervalSeconds: 1
      timeoutSeconds: 3600
      maxUnavailable: 25%
      maxSurge: 25%
    resources: {}
    activeDeadlineSeconds: 21600
  triggers:
    - type: ConfigChange
  replicas: 1
  revisionHistoryLimit: 2
  test: false
  selector:
    app: fuse78-spring-boot
    group: org.example.fis
    provider: fabric8
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: fuse78-spring-boot
        rht.comp_ver: 1.0-SNAPSHOT
        rht.prod_name: Red_Hat_Integration
        rht.prod_ver: '7.8'
        com.company: Red_Hat
        provider: fabric8
        version: 1.0-SNAPSHOT
        rht.comp: fuse78-spring-boot
        group: org.example.fis
    spec:
      containers:
        - resources:
            limits:
              cpu: '1'
              memory: 256Mi
            requests:
              cpu: 200m
              memory: 256Mi
          readinessProbe:
            httpGet:
              path: /actuator/health
              port: 8081
              scheme: HTTP
            initialDelaySeconds: 10
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          name: spring-boot
          livenessProbe:
            httpGet:
              path: /actuator/health
              port: 8081
              scheme: HTTP
            initialDelaySeconds: 180
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          env:
            - name: SPRING_APPLICATION_JSON
              value: '{"server":{"undertow":{"io-threads":1, "worker-threads":2 }}}'
            - name: KUBERNETES_NAMESPACE
              valueFrom:
                fieldRef:
                  apiVersion: v1
                  fieldPath: metadata.namespace
          securityContext:
            privileged: false
          ports:
            - name: http
              containerPort: 8080
              protocol: TCP
            - name: prometheus
              containerPort: 9779
              protocol: TCP
            - name: jolokia
              containerPort: 8778
              protocol: TCP
          imagePullPolicy: IfNotPresent
          terminationMessagePolicy: File
          image: 'fuse78-spring-boot:latest'
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext: {}
      schedulerName: default-scheduler
status:
  latestVersion: 1
  observedGeneration: 1
  replicas: 0
  updatedReplicas: 0
  availableReplicas: 0
  unavailableReplicas: 0
  details:
    message: config change
    causes:
      - type: ConfigChange
  conditions:
    - type: Available
      status: 'False'
      lastUpdateTime: '2022-02-04T15:46:58Z'
      lastTransitionTime: '2022-02-04T15:46:58Z'
      message: Deployment config does not have minimum availability.
    - type: Progressing
      status: 'False'
      lastUpdateTime: '2022-02-04T16:47:03Z'
      lastTransitionTime: '2022-02-04T16:47:03Z'
      reason: ProgressDeadlineExceeded
      message: replication controller "fuse78-spring-boot-1" has failed progressing
